*,
*::before,
*::after {
	box-sizing: border-box;
}

button {
	background: transparent;
	box-shadow: 0px 0px 0px transparent;
	border: 0px solid transparent;
	text-shadow: 0px 0px 0px transparent;
}

button:hover {
	opacity: 0.5;
	box-shadow: 0px 0px 0px transparent;
	border: 0px solid transparent;
	text-shadow: 0px 0px 0px transparent;
}

button:active {
	outline: none;
	border: none;
}

button:focus {
	outline: 0;
}

html {
	height: 100%;
}
body {
	height: 100vh;
	margin: 0;
	padding: 0;
	color: white;
	font-family: "Montserrat", sans-serif;
}

.main_container {
	width: 100%;
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
}

.dashboard_container {
	width: 25%;
	height: 100%;
	background: linear-gradient(168.68deg, #0052c9 1.12%, #0a91db 100%);
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	position: relative;
}

.call_container {
	width: 50%;
	height: 100%;
}

.messenger_container {
	width: 25%;
	height: 100%;
	background: #f4f9fd;
	color: #545c68;
	display: flex;
	flex-direction: column;
}

.logo_container {
	margin-left: 40px;
	width: 180px;
	height: 120px;
}

.description_container {
	margin: 0 40px;
}

.description_container_paragraph {
	font-weight: 500;
	font-size: 16px;
	color: white;
}

.personal_code_container {
	height: 110px;
	margin: 0 40px;
	background: rgba(196, 196, 196, 0.2);
	backdrop-filter: blur(80px);
	border-radius: 15px;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
}

.personal_code_title_container {
	padding: 0 25px;
}

.personal_code_title_paragraph {
	font-size: 16px;
	font-weight: 500;
}

.personal_code_value_container {
	display: flex;
	justify-content: space-between;
	margin: 0 25px;
	align-items: center;
}

.personal_code_value_paragraph {
	font-size: 18px;
	font-weight: 700;
}

.personal_code_copy_button {
	width: 40px;
	height: 40px;
	border-radius: 8px;
	background: white;
	transition: 0.5s;
}

.personal_code_connecting_container {
	display: flex;
	flex-direction: column;
	margin: 0 40px;
}

.personal_code_connecting_paragraph {
	font-weight: 500;
	font-size: 18px;
}

.personal_code_connecting_input_container {
	width: 100%;
	height: 40px;
}

.personal_code_input:focus {
	outline: none;
}

.personal_code_input {
	width: 100%;
	height: 100%;
	background: rgba(196, 196, 196, 0.2);
	backdrop-filter: blur(80px);
	border-radius: 8px;
	border: 1px solid rgba(255, 255, 255, 0.5);
	color: white;
	padding: 0 20px;
}

.personal_code_connecting_buttons_container {
	margin-top: 30px;
	display: flex;
	justify-content: space-between;
}

.connecting_button {
	width: calc(50% - 10px);
	height: 55px;
	background: white;
	border-radius: 15px;
	box-shadow: 0px 2px 2px 10px rgba(10, 145, 219, 0.2);
	transition: 0.5s;
}

.stranger_connecting_container {
	display: flex;
	flex-direction: column;
	margin: 0 40px;
}

.stranger_title_container {
	font-weight: 500;
	font-size: 18px;
}

.stranger_buttons_container {
	display: flex;
	justify-content: space-between;
}

.checkbox_container {
	display: flex;
	margin: 0 40px;
	margin-bottom: 25px;
	align-items: center;
}

.checkbox_connection {
	width: 30px;
	height: 30px;
	background: rgba(196, 196, 196, 0.2);
	border: 1px solid rgba(255, 255, 255, 0.5);
	border-radius: 8px;
	backdrop-filter: blur(80px);
	display: flex;
	align-items: center;
	justify-content: center;
}

.checkbox_container_paragraph {
	font-weight: 500;
	font-size: 16px;
	margin-left: 15px;
}

.connecting_buttons_image {
	max-width: 100%;
	max-height: 100%;
}

.new_message_container {
	position: relative;
}
.new_message_input {
	margin: 0 40px;
	margin-bottom: 30px;
	width: calc(100% - 80px);
	height: 60px;
	color: #676f7a;
	font-size: 16px;
	font-weight: 400;
	border: 1px solid #d5deeb;
	border-radius: 15px;
	box-shadow: 0px 2px 20px 5px rgba(10, 145, 219, 0.05);
	padding: 0 60px 0 20px;
	z-index: 2;
}

.new_message_input:focus {
	outline: none;
	color: #676f7a;
}

.messages_container {
	flex-grow: 1;
	margin: 40px 30px;
	overflow-y: scroll;
}

.message_left_container {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}

.message_left_paragraph {
	background: #ffffff;
	border: 1px solid #d5deeb;
	border-radius: 8px 8px 8px 0px;
	padding: 20px 13px;
	color: #545c68;
	min-width: 60px;
}

.message_right_container {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
}

.message_right_paragraph {
	background: linear-gradient(168.68deg, #0052c9 1.12%, #0a91db 100%);
	border: 1px solid #d5deeb;
	border-radius: 8px 8px 8px 0px;
	padding: 20px 13px;
	color: #ffffff;
	min-width: 60px;
}

.send_message_button {
	width: 40px;
	height: 40px;
	position: absolute;
	right: 50px;
	top: 10px;
	box-shadow: 0px 2px 20px 5px rgba(10, 145, 219, 0.05);
	background: linear-gradient(180deg, #ff9519 0%, #ffba6a 100%);
	border-radius: 8px;
	transition: 0.5s;
}

.send_message_button_image {
	max-width: 100%;
	max-height: 100%;
}

.videos_container {
	position: relative;
	height: calc(100% - 70px);
	margin: 30px 40px 40px 40px;
	border-radius: 15px;
	background: linear-gradient(168.68deg, #0052c9 1.12%, #0a91db 100%);
	/* background-image: url('../utils/images/logo.png'); */
}

.videos_placeholder {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
}

.local_video_container {
	position: absolute;
	width: 180px;
	height: 180px;
	border: 2px solid rgba(255, 255, 255, 0.5);
	border-radius: 15px;
	background: rgba(196, 196, 196, 0.2);
	top: 15px;
	left: 15px;
}

.local_video {
	width: 100%;
	height: 100%;
}

.remote_video {
	width: 100%;
	height: 100%;
}

.call_buttons_container {
	position: absolute;
	width: 395px;
	height: 75px;
	bottom: 40px;
	left: calc(50% - 200px);
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.finish_chat_button_container {
	position: absolute;
	width: 395px;
	height: 75px;
	bottom: 40px;
	left: calc(50% - 200px);
	display: flex;
	justify-content: center;
	align-items: center;
}

.call_button_small {
	width: 50px;
	height: 50px;
	background: rgba(0, 0, 0, 0.2);
	border-radius: 50px;
	transition: 0.3s;
}

.call_button_large {
	width: 75px;
	height: 75px;
	border-radius: 75px;
	background: #fc5d5b;
	transition: 0.3s;
}

.dialog_wrapper {
	position: fixed;
	z-index: 2;
	width: 100%;
	height: 100%;
	background: rgba(255, 255, 255, 0.2);
	backdrop-filter: blur(30px);
	display: flex;
	align-items: center;
	justify-content: center;
	left: 0;
	top: 0;
}

.dialog_content {
	width: 520px;
	height: 530px;
	background: white;
	border: 1px solid #d5deeb;
	box-shadow: 0px 2px 20px 5px rgba(10, 145, 219, 0.05);
	border-radius: 15px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-evenly;
}

.dialog_title {
	font-weight: 600;
	font-size: 22px;
	color: black;
}

.dialog_image_container {
	width: 275px;
	height: 275px;
	border-radius: 275px;
	background: linear-gradient(168.68deg, #0052c9 1.12%, #0a91db 100%);
	display: flex;
	justify-content: center;
	align-items: center;
}

.dialog_description {
	font-size: 20px;
	color: black;
	font-weight: 500;
	padding: 0 40px;
}

.dialog_button_container {
	height: 55px;
	width: 100%;
	display: flex;
	justify-content: space-evenly;
}

.dialog_accept_call_button {
	width: 180px;
	height: 55px;
	background: linear-gradient(180deg, #00c920 0%, #2fe24b 100%);
	box-shadow: 0px 2px 42px 10px rgba(47, 226, 75, 0.15);
	border-radius: 15px;
	transition: 0.5s;
}

.dialog_reject_call_button {
	width: 180px;
	height: 55px;
	background: linear-gradient(180deg, #ff3b3b 0%, #ff6262 100%);
	box-shadow: 0px 2px 42px 10px rgba(255, 59, 59, 0.15);
	border-radius: 15px;
	transition: 0.5s;
}

.dialog_button_image {
	max-width: 100%;
	max-height: 100%;
}

.dashboard_blur {
	position: absolute;
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	background: rgba(196, 196, 196, 0.2);
	backdrop-filter: blur(80px);
}

.video_recording_buttons_container {
	position: absolute;
	width: 180px;
	height: 50px;
	background: rgba(0, 0, 0, 0.2);
	border-radius: 15px;
	backdrop-filter: blur(60px);
	right: 20px;
	top: 20px;
	display: flex;
	align-items: center;
	justify-content: center;
}

#stop_recording_button {
	color: white;
	height: 28px;
}

.display_none {
	display: none;
}
